#ifndef CONFIGURATIONDIALOG_H_INCLUDED
#define CONFIGURATIONDIALOG_H_INCLUDED

#include <qstring.h>
#include <qtabdialog.h>

#include "configuration.h"

class QLineEdit;

class ConfigurationDialog: public QTabDialog
{
	Q_OBJECT
public:
	ConfigurationDialog(const Configuration&, QWidget *parent = 0, const char *name = 0);
	
	const Configuration& result() const { return workingConfiguration_; }
	
	int exec();
	
protected:
	void showEvent(QShowEvent *);

private:
	void createWidgets();
	
	Configuration workingConfiguration_;
	
	QLineEdit *leUsername;
	QLineEdit *lePassword;
};

#endif // CONFIGURATIONDIALOG_H_INCLUDED
