TARGET		= qscrobbler
TEMPLATE	= app

CONFIG		= qt warn_on release
#CONFIG		= qt warn_on debug

TMAKE_CC	= ccache arm-linux-gcc
TMAKE_CXX	= ccache arm-linux-g++
TMAKE_LINK	= ccache arm-linux-gcc

TMAKE_CFLAGS	= $$TMAKE_CFLAGS -DQTOPIA -march=armv4 -mtune=strongarm -O3 -fomit-frame-pointer
TMAKE_CXXFLAGS  = $$TMAKE_CXXFLAGS -DQTOPIA -march=armv4 -mtune=strongarm -O3 -fomit-frame-pointer

LIBS		= -lqpe -lstdc++
INCLUDEPATH	= . ./kmdcodec ./qhttp3 ./qregexp3
HEADERS		= \
		configuration.h \
		configurationdialog.h \
		qscrobbler.h \
		audioscrobbler.h \
		kascachelist.h \
		kmdcodec/kmdcodec.h \
		qhttp3/qhttp.h \
		qhttp3/qnetworkprotocol.h \
		qhttp3/qurloperator.h \
		qhttp3/qlocalfs.h \
		qhttp3/qurlinfo.h \
		qregexp3/qmemarray.h \
		qregexp3/qptrcollection.h \
		qregexp3/qcleanuphandler.h \
		qregexp3/qregexp.h		
		
SOURCES		= \
		configuration.cpp \
		configurationdialog.cpp \
		main.cpp \
		debug.cpp \
		qscrobbler.cpp \
		audioscrobbler.cpp \
		kascachelist.cpp \
		kmdcodec/kmdcodec.cpp \
		qhttp3/qhttp.cpp \
		qhttp3/qnetworkprotocol.cpp \
		qhttp3/qurloperator.cpp \
		qhttp3/qlocalfs.cpp \
		qhttp3/qurlinfo.cpp \
		qregexp3/qptrcollection.cpp \
		qregexp3/qregexp.cpp

MOC_DIR		= .moc
#OBJECTS_DIR	= objs
